/*
 * Example to illustrate parameter passing for reference objects.
 *
 * Author: David Mathias
 *
 */

public class Tester 
{
	public static void overwrite(String str1, String str2)
	{
		str1 = str2;
		System.out.println(str1);
		System.out.println(str2);
        System.out.println();
	}
	
	
	public static void overwrite(Professor p1, Professor p2)
	{
		// p1  =  new Professor("Alan", "Turing");
		p1.last_name = p2.last_name;
	}
	
	
	public static void main(String[] args) 
	{
		String s1 = "foo";
		String s2 =  "bar";
		overwrite(s1, s2);
		System.out.println(s1);
		System.out.println(s2);
		System.out.println();
		
		Professor ef = new Professor("Elliot", "Forbes");
		Professor mp = new Professor("Mike", "Petullo");
		overwrite(ef, mp);
		
		System.out.println(ef.last_name);
		System.out.println(mp.last_name);
	}
}
